spring:
    messages:
        cache-duration: -1
        basename: classpath:i18n/messages/message
        encoding: UTF-8
    thymeleaf:
        check-template-location: true
        prefix: /WEB-INF/views/
        suffix: .html
    servlet:
        multipart:
            max-file-size: 10MB
            max-request-size: 10MB
#    session.store-type: redis
    data:
        redis:
            repositories:
                enabled: true

server:
#    servlet:
#        session:
#            cookie:
#                name: WSESSIONID
#                secure: true
    error.whitelabel.enabled: false

# 네이버 API
naver:
    clientId: OMmbCMu7ac7GgYWgjlhv
    clientSecret: jwRNdDbEBG
    login.callbackUrl: /signin/snsLoginCallback?snsType=NV
    shortUrl: https://openapi.naver.com/v1/util/shorturl
    tokenUrl: https://nid.naver.com/oauth2.0/token
    userInfoUrl : https://openapi.naver.com/v1/nid/me
    authorizeUrl : https://nid.naver.com/oauth2.0/authorize

# SPEEDY Image Upload
speedy:
    ftp:
        host: fileupload.cdn.cloudn.co.kr
        port: 21
        username: speedy_image-wivismall
        pwd: wZ31jS_!@

#카카오 API
kakao:
    appId : 399207
    appName : WIVISMALL
    companyName : 위비스
    restApiKey: 8f8db3657b60b2c83df79a37d38becd4
    nativeAppKey : a4790e2102950309d87ad81a39c0597d
    javascriptKey : f435c12d89ddb9cc6337f4cf0a05fd30
    adminKey : 567e9476b15d2149c714aaecd0fee740
    addressApiRequestUrl : https://dapi.kakao.com/v2/local/search/address.json?page=1&query=
    login.callbackUrl: /signin/snsLoginCallback?snsType=KK
    tokenUrl: https://kauth.kakao.com/oauth/token
    userInfoUrl: https://kapi.kakao.com/v2/user/me
    authorizeUrl: https://kauth.kakao.com/oauth/authorize
    unlinkUrl : https://kapi.kakao.com/v1/user/unlink

# APP 다운로드 URL
app.down.url: 
    ios: https://apps.apple.com/kr/app/WIVISMALL/id1517275108
    aos: https://play.google.com/store/apps/details?id=com.wivis.wivismal
